#ScriptVersion[3]
#System["script/LOCAA7 - The Forgot Warship/System/system/Default_system.txt"]



@Initialize{
	TPlural;
	SetPlayerLife(5);
	SetPlayerSpell(3);

}

@MainLoop{
	yield;
}

task TPlural
{
	let dir=GetCurrentScriptDirectory();
	//?????????1?????????
	let obj=ObjEnemyBossScene_Create();
	ObjEnemyBossScene_Add(obj,0,dir~"Non-Spell001.h");
	ObjEnemyBossScene_Add(obj,0,dir~"Spell001.h");
	ObjEnemyBossScene_Add(obj,1,dir~"Non-Spell002.h");
	ObjEnemyBossScene_Add(obj,1,dir~"Spell002.h");
	ObjEnemyBossScene_Add(obj,2,dir~"Non-Spell003.h");
	ObjEnemyBossScene_Add(obj,2,dir~"Spell003.h");
	ObjEnemyBossScene_Add(obj,3,dir~"Non-Spell004.h");
	ObjEnemyBossScene_Add(obj,3,dir~"Spell004.h");
	ObjEnemyBossScene_Add(obj,4,dir~"Spell005.h");
	ObjEnemyBossScene_Add(obj,5,dir~"Spell006.h");
	ObjEnemyBossScene_LoadInThread(obj);
	ObjEnemyBossScene_Regist(obj);
	while(!Obj_IsDeleted(obj))
	{
		yield;
	}
	CloseScript(GetOwnScriptID());
}